Bt HH5 - WAN ADSL PPPoE does not work

Hi everyone.

New here and am stuck- I have a BT HH5 version A and was running LEDE 17 until a few days ago.
I upgraded to version 21.0.2. and there were no problems, being silly/ arrogant I decided to try install Mullvad VPN (big mistake on my part) and it was downhill from there.

I factory reset it to get back my old settings but I now cannot get online. I have dsl status is coming up but cannot getting online.
My wan used to be wan-PPPoE and now im unable to set a software VLAN which was how it was working in the past. Anyone know what I am doing wrong?? - your help would be much appreciated.

my network config below

config interface 'loopback'
        option proto 'static'
        option ipaddr '127.0.0.1'
        option netmask '255.0.0.0'
        option device 'lo'

config globals 'globals'
        option ula_prefix '--------------'

config atm-bridge 'atm'
        option vpi '1'
        option vci '32'
        option encaps 'llc'
        option payload 'bridged'

config dsl 'dsl'
        option annex 'a'
        option tone 'av'
        option xfer_mode 'ptm'
        option ds_snr_offset '0'
        option line_mode 'vdsl'

config interface 'lan'
        option proto 'static'
        option ipaddr '192.168.1.1'
        option netmask '255.255.255.0'
        option ip6assign '60'
        option device 'br-lan'

config device 'lan_dev'
        option name 'eth0.1'
        option macaddr '---------'

config interface 'wan'
        option proto 'pppoe'
        option username 'pwd'
        option password 'pwd'
        option _orig_ifname 'ptm0'
        option _orig_bridge 'false'
        option device 'ptm0.101'
        option ipv6 'auto'

config device 'wan_dev'
        option name 'ptm0'
        option macaddr '----------'

config interface 'wan6'
        option proto 'dhcpv6'
        option _orig_ifname '@wan'
        option _orig_bridge 'false'
        option reqaddress 'try'
        option reqprefix 'auto'
        option device 'eth0'

config switch
        option name 'switch0'
        option reset '1'
        option enable_vlan '1'

config switch_vlan
        option device 'switch0'
        option vlan '1'
        option vid '1'
        option ports '0 1 2 4 6t'

config switch_vlan
        option device 'switch0'
        option vlan '2'
        option ports '5 6t'
        option vid '2'

config device
        option name 'br-lan'
        option type 'bridge'
        list ports 'eth0.1'

Please study installation guide.
https://openwrt.ebilan.co.uk/viewtopic.php?t=266

The 'ptm0.101' VDSL interface name used in LEDE 17 for Openreach connections in the UK (vlan tag 101), is invalid for use with OpenWrt 21.2. It should be rename to dsl0.101. See section 7.17.

If all else fails, I suggest you reset the HH5a and start from beginning to set up the internet connection using LuCI.

See section 9.1 for using PPPoE on VDSL connection, and 9.5 for using PPPoE on a ADSL connection, if you are using the grey DSL port.

If you are in the UK, see also section 7.5.

If you still have problems, it may be helpful if you can post your original LEDE 17 config. Upgrading from LEDE 17 to OpenWrt 21.2, skipping OpenWrt 18 & 19 is not guaranteed to work. Also, do not restore LEDE 17 network config to OpenWrt 21.2.

1 Like

Thanks for your reply bill888

OpenWrt 21.2 worked with no problems - had it running for a few days. Only when I tried installing the vpn and changed settings did I mess it up.

I tried with dsl 0.101 and was the same. Have downloaded the pdf and will go through it - thanks!

Got it reset back to LEDE, will leave it for now, its working.
I've had enough for one day :grinning_face_with_smiling_eyes:
reset to LEDE

In your original post, when you factory reset 21.02, did you use the Reset button on the back of the HH5a, the Reset button within LuCI, or other method ?

ps. Your later post quoted 'dsl 0.101'. I presume that was just a typo error, and you meant to quote 'dsl0.101', and you did restart the HH5a for changes to take effect.

The reset button at the back.

Yeah it was a typo error. I might try upgrade again at some stage and follow the steps.